﻿using System.Collections.Generic;
using Microsoft.TeamFoundation.WorkItemTracking.Client;

public class WorkItemInfo
{
    public WorkItem WorkItem { get; private set; }
    public IEnumerable<WorkItem> Children
    {
        get { return _children; }
    }

    private List<WorkItem> _children = new List<WorkItem>();

    public WorkItemInfo(WorkItem workItem)
    {
        WorkItem = workItem;
    }

    public void AddChild(WorkItem wi)
    {
        _children.Add(wi);
    }
}
