﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="CardControl.ascx.cs" Inherits="CardControl" ClassName="CardControl" %>

<asp:Panel ID="CardPanel" CssClass='<%# Eval("CssClass") %>' runat="server">
    <table>
        <tr>
            <td rowspan="4" style='<%# "width:3px;" + GetColorStyle(Eval("AreaColor")) %>'></td>
        </tr>
        <tr>
            <td colspan="2"><asp:HyperLink ID="IdLink" runat="Server" Text='<%# Eval("Id") %>' CssClass="workItemId" 
                    NavigateUrl='<%# Eval("WorkItemUrl") %>' Target="_blank" />
                <asp:Label ID="TitleLabel" runat="server" Text='<%# Eval("Title") %>' /></td>
        </tr>
        <tr>
            <td><asp:Label ID="AssignedToLabel" runat="server" Text='<%# Eval("AssignedTo") %>' CssClass="assignedTo" /></td>
            <td align="right"><asp:Label ID="Age" runat="server" Text='<%# Eval("Age") %>' CssClass="assignedTo" /></td>
        </tr>
        <tr>
            <td colspan="2">
               <table class="taskTable" border="0" cellspacing="0" cellpadding="0" width="100%">
                    <tr>
                        <asp:Repeater ID="ChildWorkItemStateCountsRepeater" runat="server"  
                                      DataSource='<%# DataBinder.Eval(((System.Web.UI.WebControls.RepeaterItem)(Container)).DataItem, "StateCounts") %>'>
                            <ItemTemplate>
                                <td><%# Eval("State") %>: <b><%# Eval("Count") %></b></td>
                            </ItemTemplate>
                        </asp:Repeater>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</asp:Panel>
