﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Reference Control="LaneControl.ascx" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Kanban</title>
    <link href="Default.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager" runat="server" EnablePageMethods="true" />
        <asp:Timer ID="RefreshTimer" runat="server" Interval="5000" />
        <div>
            <table>
                <tr>
                    <ajaxToolkit:AutoCompleteExtender runat="server" ID="AssignedToAutoComplete" 
                        TargetControlID="AssignedToTextBox" 
                        ServiceMethod="GetUserList" 
                        MinimumPrefixLength="2" 
                        CompletionInterval="1000"
                        EnableCaching="true"
                        CompletionSetCount="20" 
                        DelimiterCharacters=";, :"
                        ShowOnlyCurrentWordInCompletionListItem="true" />

                    <td>Assigned To: <asp:TextBox ID="AssignedToTextBox" runat="server" AutoPostBack="true"></asp:TextBox></td>
                    <td>Iteration: <asp:DropDownList ID="IterationList" runat="server" AutoPostBack="true"></asp:DropDownList></td>
                    <td>Area:<asp:DropDownList ID="AreaList" runat="server" AutoPostBack="true"></asp:DropDownList></td>
                </tr>
            </table>
        </div>

        <asp:UpdatePanel ID="KanbanPanel" runat="server" UpdateMode="Conditional" >
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="RefreshTimer" EventName="Tick" />
            </Triggers>
            <ContentTemplate>

                <div>
                    <table>
                        <tr>
                            <asp:PlaceHolder ID="LanesPlaceholder" runat="server"></asp:PlaceHolder>
                            <td style="vertical-align:top;">
                                <table>
                                    <tr>
                                        <td>
                                            <iframe id="CumulativeReportFrame" frameborder="0" width="420" height="302" scrolling="no" runat="server">
                                            </iframe>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>
            </ContentTemplate>
        </asp:UpdatePanel>
    </form>
</body>
</html>
