﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="LaneControl.ascx.cs" Inherits="LaneControl" ClassName="LaneControl" %>
<%@ Register TagPrefix="uc" TagName="CardControl" Src="~/CardControl.ascx" %>

<td valign="top">
    <asp:Panel ID="LanePanel" CssClass="lane" runat="server">
        <table cellpadding="0" cellspacing="0">
            <tr>
                <td align="center" colspan="3">
                    <div class="laneHeader">
                        <asp:Label ID="LaneTitleLabel" runat="server" Text=""></asp:Label> 
                        <asp:Label ID="WipLimitLabel" runat="server" Text=""></asp:Label>
                    </div>
                </td>
            </tr>   
            <tr>
                <asp:Panel ID="LeftLanePanel" runat="server">
                    <td>
                        <div class="laneSubHeader"><asp:Label ID="LeftLaneHeader" runat="Server" /></div>
                        <div class="list">
                            <asp:Repeater ID="InProgressList" runat="server">
                                <ItemTemplate>
                                    <uc:CardControl runat="server" />
                                </ItemTemplate>
                            </asp:Repeater>
                        </div>
                    </td>
                </asp:Panel>

                <td id="CenterDividor" class="listDividor" runat="server"><img src="OnePixel.png" /></td>

                <asp:Panel ID="RightLanePanel" runat="server">
                    <td>
                        <div class="laneSubHeader"><asp:Label ID="RightLaneHeader" runat="Server" CssClass="laneSubHeader" /></div>
                        <div class="list">
                            <asp:Repeater ID="QueueList" runat="server">
                                <ItemTemplate>
                                    <uc:CardControl ID="CardControl1" runat="server" />
                                </ItemTemplate>
                            </asp:Repeater>
                        </div>
                    </td>
                </asp:Panel>
            </tr>
        </table>
    </asp:Panel>
</td>